GNU bug report logs - #54706
28.0.92; eldoc-print-after-edit broken

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Leo Liu <sdl.web@HIDDEN>; Keywords: moreinfo; dated Mon, 4 Apr 2022 11:14:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 54706 <at> debbugs.gnu.org:


Received: (at 54706) by debbugs.gnu.org; 6 May 2022 05:58:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 06 01:58:47 2022
Received: from localhost ([127.0.0.1]:46882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nmqzH-00050h-73
	for submit <at> debbugs.gnu.org; Fri, 06 May 2022 01:58:47 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39152)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1nmqzG-00050S-2e; Fri, 06 May 2022 01:58:46 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39260)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nmqzA-00050M-L9; Fri, 06 May 2022 01:58:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=eayWnBBqEQJERmspMUvjjWwWgETBUuHy+fq7OTvLMIA=; b=hwkcg9GorL2C
 cMDyV6qqt8SFMa6U676jP48OpJwBnmwICPJP3jTncB3rqbEPUpTzCOGL6T7SukHSOuHFV4CVbIWVx
 0YUUAfh4MbxiC8+PAcMsEjzse3gOsaMIkItFDo9CA4UB1fyK79TCf2FfDBd435y2Fgw/KmNExy5OL
 8SpQO3G+gAnI6SEVLR9+RkwFOfXbBE8dvQ8y3ln6qKaSs9rcihcNldLYNyGzOm2BPHoUWa3ColbTn
 6NADlxnVcybAt8fUc67ZpKs/AEXJ6wlGrXvMU0Ba/PnaXnHNPP/b6fsoWi8o9VIHibsAjgbslau2l
 e5Y7R+t7ewCN1rm3Wb3PZw==;
Received: from [87.69.77.57] (port=2192 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nmqz5-0002ac-Ka; Fri, 06 May 2022 01:58:37 -0400
Date: Fri, 06 May 2022 08:58:22 +0300
Message-Id: <83o80b19tt.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Leo Liu <sdl.web@HIDDEN>
In-Reply-To: <m1ilqjz2uz.fsf@HIDDEN> (message from Leo Liu on Fri, 06 May
 2022 12:44:52 +0800)
Subject: Re: bug#54706: 28.0.92; eldoc-print-after-edit broken
References: <m1sfqtp0cx.fsf@HIDDEN> <835ynpf5me.fsf@HIDDEN>
 <87bkwctegh.fsf@HIDDEN> <m1ilqjz2uz.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54706
Cc: larsi@HIDDEN, 54706 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

reopen 54706
thanks

> From:  Leo Liu <sdl.web@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  54706 <at> debbugs.gnu.org
> Date: Fri, 06 May 2022 12:44:52 +0800
> 
> On 2022-05-05 13:18 +0200, Lars Ingebrigtsen wrote:
> > More information was requested, but no response was given within a
> > month, so I'm closing this bug report.  If the problem still exists,
> > please respond to this email and we'll reopen the bug report.
> 
> I think regression should be able to stay open a while longer ;)
> 
> Seriously, I have been trying to come back to this bug and I have it
> bookmarked and have a test case in mind. We will fix it for 28.2.

Thanks, I'm therefore reopening this bug.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54706; Package emacs. Full text available.

Message received at 54706 <at> debbugs.gnu.org:


Received: (at 54706) by debbugs.gnu.org; 6 May 2022 04:45:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 06 00:45:07 2022
Received: from localhost ([127.0.0.1]:46858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nmppy-0002w7-UY
	for submit <at> debbugs.gnu.org; Fri, 06 May 2022 00:45:07 -0400
Received: from mail-pj1-f50.google.com ([209.85.216.50]:56161)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sdl.web@HIDDEN>) id 1nmppw-0002vJ-TY
 for 54706 <at> debbugs.gnu.org; Fri, 06 May 2022 00:45:05 -0400
Received: by mail-pj1-f50.google.com with SMTP id r9so6016427pjo.5
 for <54706 <at> debbugs.gnu.org>; Thu, 05 May 2022 21:45:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:face:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=x8XEt7rAHaEAbizsVvywgvaNWQnjqzNzEMV6ENt3xEk=;
 b=cBrPg1GjZh6HSbvQuY9HVDLCuHVPneZJU3032Uo+KO4Zt2mNZXAG3GOE4GbZfR0c3s
 E23j6IW9Yw+2AaMCv+3sTqC5fyImmfeRXQ+voH9dHbEBYcc2NujJpnYRMgd7Zyx7hruh
 ZEzaTvzpCCD97pTISO4Pz/Wqan6g8sIQ2RI4FftxVlhy51kXBVg4L5LPG32dHqwzAO6E
 sdAnP+MODst0w+UDmF3tyKpPA7i/JJuO9nTIHtFJHzz51SX+7/Ziv1t0A9izdCOUWqDj
 nQwN4GX26pASYyFgavG2S+b8UXRH764hzrJhHB3K8PJXuAZkQJt97PxG/Y3rT+2i5K3t
 IhQQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:face:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=x8XEt7rAHaEAbizsVvywgvaNWQnjqzNzEMV6ENt3xEk=;
 b=QFuNGg9c+eXT/Jujkl2VVAeVwA+6Alg/ahNDfhMhZiL2iLswOf1AnxpIcrzI+3ECdY
 R+eTk6kCvfv+PtVsGI6mWgCtmIeo2kzvglLqcUSWT7FbUjMj6DnovEZ/TsU8SLBh683e
 mLrcedkzbLt2r58xk9+BLzxlBI/lONPyGOroet04UBvumLaJTztgqvO93VVfZw3g5Ugm
 YUvNCC+04in5TQjrUrq2Ytah0HsPAaA8j0nD/Np1rYnRdl/0poLvM1ZOaDa7mqxRkJYx
 r5eJi5iDbecvtfhKZJx3JZsms+p7v/cWkQ7r0GhyirWnErr1KJQriQZLAzy0V/DyGAWb
 qNEA==
X-Gm-Message-State: AOAM531JJSU9Ys9VmMWNVTw2p5pWFzOLrOwjUbdTGp2cM+X1eJsQkjOO
 yAVToXunQy2+RmGUlYGi18v9StaOkWo=
X-Google-Smtp-Source: ABdhPJw03MYHgf1ADKP1clO95ZQO9DAa2X0I/1Roaowwo7YWm5ESVd6jULq71XydhJM9QzBZ20KMKA==
X-Received: by 2002:a17:902:f550:b0:15e:9bbb:4f8 with SMTP id
 h16-20020a170902f55000b0015e9bbb04f8mr1791042plf.36.1651812298484; 
 Thu, 05 May 2022 21:44:58 -0700 (PDT)
Received: from zeuss-MacBook-Air.local ([139.59.241.182])
 by smtp.gmail.com with ESMTPSA id
 s2-20020a170902a50200b0015e8d4eb1d9sm545230plq.35.2022.05.05.21.44.55
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 05 May 2022 21:44:57 -0700 (PDT)
From: Leo Liu <sdl.web@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#54706: 28.0.92; eldoc-print-after-edit broken
References: <m1sfqtp0cx.fsf@HIDDEN> <835ynpf5me.fsf@HIDDEN>
 <87bkwctegh.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAACgAAAAoBAMAAAB+0KVeAAAAGFBMVEUzRVhbQj4eZqO6SjnT
 eWpxnMetm5b6/PmidmqrAAAAAWJLR0QAiAUdSAAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1F
 B9cBBwMLBfKABCMAAAFoSURBVCjPtZI9a8MwEIaFoc7aYDdelQMna0Em3tsSr0XUeE2Q6a22a+v+
 fk8fSSBkbDUI6dHpfe9OEvRgiD+ApqKPJgJeB6iUUXWESjUe/ig38AJrhqqvaU2nTIXbNvOQ40fe
 qdry4kyGoVWsfCQalXpHnJGM01wjWdYbMlXNFdsZDO69m9aqNqxEJqTEgbM5OF7wlEfIoll1Ked4
 LbM5X2EdILLokEdmI8z7g5cKED0cuTC930TYhy7ZDekkXVGw/L60TguJePPxcJF48lpsSUWEA/Ju
 jGFNgJOXc4Hz7TmAdBeu5Ve4AEjOi2/2jfd3cAJZ+IbNrvdjgBZY01b+HTuG3cLws6BJZqVOj/pp
 T0OqVwx3rFq+QmJwx3loK5JSLEhDIt62+mtC2C+SrAUxEbV6C6v2BRbd6pILBKFpepKZJHgGgrKF
 sptSUUoczpwg2pQ7ZH1tgs0ou/917mzz6Cs2//C978cv5l07L02orIEAAAAASUVORK5CYII=
Date: Fri, 06 May 2022 12:44:52 +0800
In-Reply-To: <87bkwctegh.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 05 May 2022 13:18:38 +0200")
Message-ID: <m1ilqjz2uz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (macOS 11.6.5)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54706
Cc: Eli Zaretskii <eliz@HIDDEN>, 54706 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2022-05-05 13:18 +0200, Lars Ingebrigtsen wrote:
> More information was requested, but no response was given within a
> month, so I'm closing this bug report.  If the problem still exists,
> please respond to this email and we'll reopen the bug report.

I think regression should be able to stay open a while longer ;)

Seriously, I have been trying to come back to this bug and I have it
bookmarked and have a test case in mind. We will fix it for 28.2.

Thanks,
Leo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54706; Package emacs. Full text available.
bug closed, send any further explanations to 54706 <at> debbugs.gnu.org and Leo Liu <sdl.web@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 54706 <at> debbugs.gnu.org:


Received: (at 54706) by debbugs.gnu.org; 5 May 2022 11:18:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 05 07:18:49 2022
Received: from localhost ([127.0.0.1]:44545 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nmZVR-0006nD-6E
	for submit <at> debbugs.gnu.org; Thu, 05 May 2022 07:18:49 -0400
Received: from quimby.gnus.org ([95.216.78.240]:52396)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nmZVP-0006mu-6z
 for 54706 <at> debbugs.gnu.org; Thu, 05 May 2022 07:18:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=d0X3zA2t9PkwdyX4ULt63d04ZfTZfvP9KC5xfKdvpBs=; b=roCRFyt3p2E3AhIK+NOMHLUNcl
 s0xHlmFlkz4ZHtk5CYuMXmJT6AskxXDtQ70ymdalKIr29FDnOvftMsODo9tt9Ezk1iX71GSK9oEDY
 twFcdfw4u7z1Y8iGF2yS5dPb0KTgbqT7jFKCuliFo7yGq5Dxfob2q4BZvTrYo6wmpVKo=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nmZVG-0000t8-JR; Thu, 05 May 2022 13:18:40 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#54706: 28.0.92; eldoc-print-after-edit broken
References: <m1sfqtp0cx.fsf@HIDDEN> <835ynpf5me.fsf@HIDDEN>
X-Now-Playing: Weather Report's _Heavy Weather_: "Remark You Made"
Date: Thu, 05 May 2022 13:18:38 +0200
In-Reply-To: <835ynpf5me.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 04 Apr
 2022 14:30:17 +0300")
Message-ID: <87bkwctegh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > Can you please provide
 a simple test case for each of these issues? I > don't think I understand
 clearly what you are saying (I'm only a > casual user of eldoc.) 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54706
Cc: Leo Liu <sdl.web@HIDDEN>, 54706 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> Can you please provide a simple test case for each of these issues?  I
> don't think I understand clearly what you are saying (I'm only a
> casual user of eldoc.)

More information was requested, but no response was given within a
month, so I'm closing this bug report.  If the problem still exists,
please respond to this email and we'll reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54706; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 54706 <at> debbugs.gnu.org:


Received: (at 54706) by debbugs.gnu.org; 4 Apr 2022 11:30:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 04 07:30:23 2022
Received: from localhost ([127.0.0.1]:50662 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nbKud-0005pV-2B
	for submit <at> debbugs.gnu.org; Mon, 04 Apr 2022 07:30:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nbKub-0005iB-Iu
 for 54706 <at> debbugs.gnu.org; Mon, 04 Apr 2022 07:30:21 -0400
Received: from [2001:470:142:3::e] (port=58370 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nbKuW-0004ym-BW; Mon, 04 Apr 2022 07:30:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=NVYiSdXFgCYk1ImVcQ1qS2o8rytr4aOfWxwMxRirOo0=; b=NI2ouXQFrIQt
 nQyl5h9X2KoD+Xc7z8v3BBvO2Y5m+9lRdxjtOC6n5FBkB/M/8R4YaNEo1/O35dhfBlcBXX1TBmPeb
 w0BD18FzcKhESP2wt3e2aXHxtLM63IViRh/zWJALHuxMSYZVkoCkLS6cJnALuhmsx17tsMRBdV4MJ
 Dy6q4SoeiDp49MGbUN5tTGmWYKchWSMm03zWSaO2GUog42qmVTNKMnILK+mAFgbrbPVor7KGLt6lO
 btxBY3sl04P3drjLdEBijNeMyK01wDd9+zcENPwk+50oQemqis4aXdD/2loLLxJIcgmqXKUvOjx+I
 0zwEwVrILTava2BAj/2ltQ==;
Received: from [87.69.77.57] (port=1369 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nbKuV-0008T3-RM; Mon, 04 Apr 2022 07:30:16 -0400
Date: Mon, 04 Apr 2022 14:30:17 +0300
Message-Id: <835ynpf5me.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Leo Liu <sdl.web@HIDDEN>
In-Reply-To: <m1sfqtp0cx.fsf@HIDDEN> (message from Leo Liu on Mon, 04 Apr
 2022 19:13:50 +0800)
Subject: Re: bug#54706: 28.0.92; eldoc-print-after-edit broken
References: <m1sfqtp0cx.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54706
Cc: 54706 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Leo Liu <sdl.web@HIDDEN>
> Date: Mon, 04 Apr 2022 19:13:50 +0800
> 
> 
> I just noticed that eldoc not shown in 28.0.92 after messaging commands.
> I have eldoc-print-after-edit set to t a long while ago and
> `recenter-top-bottom' added to eldoc-message-commands. After some
> digging it seems if doc is obtained async `C-l' can trigger eldoc no
> more.
> 
> I have also noted that eldoc--request-state tries to capture the buffer
> editing state using (buffer-modified-tick). Note this is not backward
> compatible. Previously eldoc-message-commands can be any command.

Can you please provide a simple test case for each of these issues?  I
don't think I understand clearly what you are saying (I'm only a
casual user of eldoc.)

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54706; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Apr 2022 11:14:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 04 07:14:00 2022
Received: from localhost ([127.0.0.1]:50630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nbKel-00053U-Ti
	for submit <at> debbugs.gnu.org; Mon, 04 Apr 2022 07:14:00 -0400
Received: from lists.gnu.org ([209.51.188.17]:46914)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sdl.web@HIDDEN>) id 1nbKek-00053N-Le
 for submit <at> debbugs.gnu.org; Mon, 04 Apr 2022 07:13:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58554)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <sdl.web@HIDDEN>) id 1nbKek-0006rn-Gn
 for bug-gnu-emacs@HIDDEN; Mon, 04 Apr 2022 07:13:58 -0400
Received: from [2607:f8b0:4864:20::52b] (port=47074
 helo=mail-pg1-x52b.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <sdl.web@HIDDEN>) id 1nbKei-0001qx-UE
 for bug-gnu-emacs@HIDDEN; Mon, 04 Apr 2022 07:13:58 -0400
Received: by mail-pg1-x52b.google.com with SMTP id b130so8025137pga.13
 for <bug-gnu-emacs@HIDDEN>; Mon, 04 Apr 2022 04:13:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:subject:date:message-id:mime-version;
 bh=UiDvIA+Po0/xoyMfrTjkpGodNGAS0gksU5dod9Bz7Pc=;
 b=cnyPzYqRGGQDtplc6gSzuL1ng36NYa5zm/pfrbscmlKZzOjRgpXO5uE4wde4zQs2XT
 veFx/E+lD/Q0SlrC8NWlThHJZzsilFS8H0c5AQRl9a+pkij+dVxSYnR6aABHhLFcrFTL
 pVOEsixM3rQ9OHG9xv/revr7FMtSNjGz0Wg9QLYWxVpvGyhNDuS/W9uWLPDQvFn8ZgmU
 UCJh48JzcgYg/kij92Dd5CA6HtVmGQnDBFIsGqkptIwyTIXlmBmPkmLJ3voA7PrnZhO/
 miW0lL+rDlsxx40kLAjvreTMkadJlITJjprA/S8aWnL9XRx5lc6AM5Xq/MxtEugTb5Fn
 Fxeg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=UiDvIA+Po0/xoyMfrTjkpGodNGAS0gksU5dod9Bz7Pc=;
 b=H3nvPZxi1D/Ora6zEJ+IwsB4nNaJrorsDIu6c/7ZtUNm8s67+7czWloa52Ut5oPxUb
 dwAWgHZ7DlYXwLDNRRaQ6ACrQn5hrN7gQ5GSwhzaHQwNnd5ppI5kQj353QGDQkKOZlxh
 +iO0priKOjP8W4UggYH5tMxEtXBeATtkfdnQ6g0p2wE36a+u59G7CAZXqHDDFLDBZaLd
 U1PhPJLKeoo79hVrlwn5Jk9jzI96vMTesEVphCKTNuZ8MS8z5DCWhio0SmbDsdeVc/vd
 LR1GaTMpMgOodQWqhXtAeHJFGu9Hrz0JNixJ29U2wtl+KvRVgWEnjOtfS4hQ9EIaDmbi
 ADxg==
X-Gm-Message-State: AOAM5304txLTIJYGMmOLubqWOWAr07Pidk9CWiDEmA8jS+yw0SdMQrq+
 QsNFRppzCRaNzpKVscNCsmxXIQ0wqx1MIMj9
X-Google-Smtp-Source: ABdhPJzUxlKz0wNBpOge0krHWyLh3a4YhF3Q+B1Xx9HyqB+CBnwZ9a4JhCvQL2NNXu8zt9oOOQm7vg==
X-Received: by 2002:a63:3605:0:b0:398:6e02:8578 with SMTP id
 d5-20020a633605000000b003986e028578mr25476653pga.368.1649070834328; 
 Mon, 04 Apr 2022 04:13:54 -0700 (PDT)
Received: from zeuss-MacBook-Air.local ([119.92.1.225])
 by smtp.gmail.com with ESMTPSA id
 i62-20020a638741000000b00398b43168f6sm10418597pge.20.2022.04.04.04.13.52
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 04 Apr 2022 04:13:53 -0700 (PDT)
From: Leo Liu <sdl.web@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.92; eldoc-print-after-edit broken
X-Debbugs-CC: 
Date: Mon, 04 Apr 2022 19:13:50 +0800
Message-ID: <m1sfqtp0cx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2607:f8b0:4864:20::52b
 (failed)
Received-SPF: pass client-ip=2607:f8b0:4864:20::52b;
 envelope-from=sdl.web@HIDDEN; helo=mail-pg1-x52b.google.com
X-Spam_score_int: -6
X-Spam_score: -0.7
X-Spam_bar: /
X-Spam_report: (-0.7 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 PDS_HP_HELO_NORDNS=0.659, RCVD_IN_DNSWL_NONE=-0.0001, RDNS_NONE=0.793,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


I just noticed that eldoc not shown in 28.0.92 after messaging commands.
I have eldoc-print-after-edit set to t a long while ago and
`recenter-top-bottom' added to eldoc-message-commands. After some
digging it seems if doc is obtained async `C-l' can trigger eldoc no
more.

I have also noted that eldoc--request-state tries to capture the buffer
editing state using (buffer-modified-tick). Note this is not backward
compatible. Previously eldoc-message-commands can be any command.

Note also eldoc-print-after-edit is a misnomer. It should probably be
renamed to eldoc-print-after-command.

I can get back the old and tested behaviour by adding these 2 lines to
eldoc-print-current-symbol-info:

@@ -880,6 +884,8 @@
   (let (token)
     (cond (interactive
            (eldoc--invoke-strategy t))
+          ((eldoc--message-command-p last-command)
+           (eldoc--invoke-strategy nil))
           ((not (equal (setq token (eldoc--request-state))
                        eldoc--last-request-state))
            (let ((non-essential t))

Diff finished.  Mon Apr  4 18:58:29 2022




Acknowledgement sent to Leo Liu <sdl.web@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#54706; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 6 May 2022 06:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.